<?php

namespace App\Models;

use Carbon\Carbon;

class BookingTicket extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'booking_ticket';
    protected $appends = ['createdTime'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    public function getCreatedTimeAttribute()
    {
        return Carbon::parse($this->created_at)->toDateTimeString();
    }

    public function user()
    {
        return $this->hasOne('App\Models\User', 'id', 'user_id')->select(['id','name','surname']);
    }

}
